diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/icmpv6-header.h ns-3.44/src/internet/model/icmpv6-header.h
--- ns-3.43/src/internet/model/icmpv6-header.h	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/icmpv6-header.h	2025-03-09 16:55:49.391371000 -0700
@@ -1458,285 +1458,285 @@
     };
 
     /**
-     * \brief Get the prefix length.
-     * \return prefix length
+     * @brief Get the prefix length.
+     * @return prefix length
      */
     uint8_t GetPrefixLength() const;
 
     /**
-     * \brief Set the prefix length.
-     * \param prefixLength the prefix length
+     * @brief Set the prefix length.
+     * @param prefixLength the prefix length
      */
     void SetPrefixLength(uint8_t prefixLength);
 
     /**
-     * \brief Get the flags.
-     * \return the flags.
+     * @brief Get the flags.
+     * @return the flags.
      */
     uint8_t GetFlags() const;
 
     /**
-     * \brief Set the flags.
-     * \param flags the flags to set
+     * @brief Set the flags.
+     * @param flags the flags to set
      */
     void SetFlags(uint8_t flags);
 
     /**
-     * \brief Get the valid time of the information.
-     * \return valid time
+     * @brief Get the valid time of the information.
+     * @return valid time
      */
     uint32_t GetValidTime() const;
 
     /**
-     * \brief Set the valid time of the information.
-     * \param validTime valid time
+     * @brief Set the valid time of the information.
+     * @param validTime valid time
      */
     void SetValidTime(uint32_t validTime);
 
     /**
-     * \brief Get the preferred time of the information.
-     * \return preferred time
+     * @brief Get the preferred time of the information.
+     * @return preferred time
      */
     uint32_t GetPreferredTime() const;
 
     /**
-     * \brief Set the preferred time of the information.
-     * \param preferredTime preferred time
+     * @brief Set the preferred time of the information.
+     * @param preferredTime preferred time
      */
     void SetPreferredTime(uint32_t preferredTime);
 
     /**
-     * \brief Get the reserved field.
-     * \return the reserved field (should be 0x00000000)
+     * @brief Get the reserved field.
+     * @return the reserved field (should be 0x00000000)
      */
     uint32_t GetReserved() const;
 
     /**
-     * \brief Set the reserved field (normally it will be 0x00000000).
-     * \param reserved reserved value
+     * @brief Set the reserved field (normally it will be 0x00000000).
+     * @param reserved reserved value
      */
     void SetReserved(uint32_t reserved);
 
     /**
-     * \brief Get the IPv6 prefix.
-     * \return IPv6 prefix
+     * @brief Get the IPv6 prefix.
+     * @return IPv6 prefix
      */
     Ipv6Address GetPrefix() const;
 
     /**
-     * \brief Set the IPv6 prefix.
-     * \param prefix the IPv6 prefix
+     * @brief Set the IPv6 prefix.
+     * @param prefix the IPv6 prefix
      */
     void SetPrefix(Ipv6Address prefix);
 
     /**
-     * \brief Print information.
-     * \param os output stream
+     * @brief Print information.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size.
-     * \return serialized size
+     * @brief Get the serialized size.
+     * @return serialized size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start start offset
+     * @brief Serialize the packet.
+     * @param start start offset
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start start offset
-     * \return length of packet
+     * @brief Deserialize the packet.
+     * @param start start offset
+     * @return length of packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
   private:
     /**
-     * \brief The prefix value.
+     * @brief The prefix value.
      */
     Ipv6Address m_prefix;
 
     /**
-     * \brief The length of the prefix.
+     * @brief The length of the prefix.
      */
     uint8_t m_prefixLength;
 
     /**
-     * \brief The flags.
+     * @brief The flags.
      */
     uint8_t m_flags;
 
     /**
-     * \brief The valid time.
+     * @brief The valid time.
      */
     uint32_t m_validTime;
 
     /**
-     * \brief The preferred time.
+     * @brief The preferred time.
      */
     uint32_t m_preferredTime;
 
     /**
-     * \brief The reserved field.
+     * @brief The reserved field.
      */
     uint32_t m_reserved;
 };
 
 /**
- * \ingroup icmpv6
+ * @ingroup icmpv6
  *
- * \brief ICMPv6 link-layer address option.
+ * @brief ICMPv6 link-layer address option.
  */
 class Icmpv6OptionLinkLayerAddress : public Icmpv6OptionHeader
 {
   public:
     /**
-     * \brief Constructor.
-     * \param source source hardware address or target hardware address for the option
+     * @brief Constructor.
+     * @param source source hardware address or target hardware address for the option
      */
     Icmpv6OptionLinkLayerAddress(bool source);
 
     /**
-     * \brief Get the UID of this class.
-     * \return UID
+     * @brief Get the UID of this class.
+     * @return UID
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Constructor.
-     * \param source source hardware address or target hardware address for the option
-     * \param addr hardware address
+     * @brief Constructor.
+     * @param source source hardware address or target hardware address for the option
+     * @param addr hardware address
      */
     Icmpv6OptionLinkLayerAddress(bool source, Address addr);
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Icmpv6OptionLinkLayerAddress();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Icmpv6OptionLinkLayerAddress() override;
 
     /**
-     * \brief Get the hardware address.
-     * \return the hardware address
+     * @brief Get the hardware address.
+     * @return the hardware address
      */
     Address GetAddress() const;
 
     /**
-     * \brief Set the hardware address.
-     * \param addr the address to set
+     * @brief Set the hardware address.
+     * @param addr the address to set
      */
     void SetAddress(Address addr);
 
     /**
-     * \brief Print information.
-     * \param os output stream
+     * @brief Print information.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size.
-     * \return serialized size
+     * @brief Get the serialized size.
+     * @return serialized size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start start offset
+     * @brief Serialize the packet.
+     * @param start start offset
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start start offset
-     * \return length of packet
+     * @brief Deserialize the packet.
+     * @param start start offset
+     * @return length of packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
   private:
     /**
-     * \brief The hardware address.
+     * @brief The hardware address.
      */
     Address m_addr;
 };
 
 /**
- * \ingroup icmpv6
+ * @ingroup icmpv6
  *
- * \brief ICMPv6 redirected option.
+ * @brief ICMPv6 redirected option.
  */
 class Icmpv6OptionRedirected : public Icmpv6OptionHeader
 {
   public:
     /**
-     * \brief Get the UID of this class.
-     * \return UID
+     * @brief Get the UID of this class.
+     * @return UID
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Get the instance type ID.
-     * \return instance type ID
+     * @brief Get the instance type ID.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Icmpv6OptionRedirected();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~Icmpv6OptionRedirected() override;
 
     /**
-     * \brief Set the redirected packet.
-     * \param packet the redirected packet
+     * @brief Set the redirected packet.
+     * @param packet the redirected packet
      */
     void SetPacket(Ptr<Packet> packet);
 
     /**
-     * \brief Print information.
-     * \param os output stream
+     * @brief Print information.
+     * @param os output stream
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size.
-     * \return serialized size
+     * @brief Get the serialized size.
+     * @return serialized size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start start offset
+     * @brief Serialize the packet.
+     * @param start start offset
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start start offset
-     * \return length of packet
+     * @brief Deserialize the packet.
+     * @param start start offset
+     * @return length of packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
   private:
     /**
-     * \brief The redirected packet.
+     * @brief The redirected packet.
      */
     Ptr<Packet> m_packet;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/icmpv6-l4-protocol.cc ns-3.44/src/internet/model/icmpv6-l4-protocol.cc
--- ns-3.43/src/internet/model/icmpv6-l4-protocol.cc	2024-10-09 16:41:09.884656000 -0700
+++ ns-3.44/src/internet/model/icmpv6-l4-protocol.cc	2025-03-09 16:55:49.391371000 -0700
@@ -11,6 +11,7 @@
 
 #include "icmpv6-l4-protocol.h"
 
+#include "ipv4-interface.h"
 #include "ipv6-interface.h"
 #include "ipv6-l3-protocol.h"
 #include "ipv6-route.h"
@@ -265,7 +266,7 @@
         return;
     }
 
-    /** \todo disable multicast loopback to prevent NS probing to be received by the sender */
+    /** @todo disable multicast loopback to prevent NS probing to be received by the sender */
 
     NdiscCache::Ipv6PayloadHeaderPair p = ForgeNS("::",
                                                   Ipv6Address::MakeSolicitedAddress(target),
@@ -274,7 +275,7 @@
 
     /* update last packet UID */
     interface->SetNsDadUid(target, p.first->GetUid());
-    Simulator::Schedule(Time(MilliSeconds(m_solicitationJitter->GetValue())),
+    Simulator::Schedule(MilliSeconds(m_solicitationJitter->GetValue()),
                         &Ipv6Interface::Send,
                         interface,
                         p.first,
@@ -333,7 +334,7 @@
     case Icmpv6Header::ICMPV6_ECHO_REPLY:
         // EchoReply does not contain any info about L4
         // so we can not forward it up.
-        /// \todo implement request / reply consistency check.
+        /// @todo implement request / reply consistency check.
         break;
     case Icmpv6Header::ICMPV6_ERROR_DESTINATION_UNREACHABLE:
         HandleDestinationUnreachable(p, header.GetSource(), header.GetDestination(), interface);
@@ -366,7 +367,7 @@
 
     Ptr<Ipv6L3Protocol> ipv6 = m_node->GetObject<Ipv6L3Protocol>();
 
-    /// \todo assuming the ICMP is carrying a extensionless IP packet
+    /// @todo assuming the ICMP is carrying a extensionless IP packet
 
     uint8_t nextHeader = ipHeader.GetNextHeader();
 
@@ -476,7 +477,7 @@
             {
                 p->RemoveHeader(mtuHdr);
                 hasMtu = true;
-                /** \todo case of multiple prefix on single interface */
+                /** @todo case of multiple prefix on single interface */
                 /* interface->GetDevice ()->SetMtu (m.GetMtu ()); */
             }
             break;
@@ -1332,7 +1333,7 @@
     else
     {
         NS_LOG_LOGIC("Destination is Multicast, using DelayedSendMessage");
-        Simulator::Schedule(Time(MilliSeconds(m_solicitationJitter->GetValue())),
+        Simulator::Schedule(MilliSeconds(m_solicitationJitter->GetValue()),
                             &Icmpv6L4Protocol::DelayedSendMessage,
                             this,
                             p,
@@ -1388,7 +1389,7 @@
             // First RS transmission - also add some jitter to desynchronize nodes.
             m_rsInitialRetransmissionTime = Simulator::Now();
             rsTimeout = m_rsInitialRetransmissionTime * (1 + m_rsRetransmissionJitter->GetValue());
-            rsDelay = Time(MilliSeconds(m_solicitationJitter->GetValue()));
+            rsDelay = MilliSeconds(m_solicitationJitter->GetValue());
         }
         else
         {
@@ -1431,7 +1432,7 @@
         }
     }
 
-    if (m_rsMaxRetransmissionDuration != Time(0) &&
+    if (!m_rsMaxRetransmissionDuration.IsZero() &&
         Simulator::Now() - m_rsInitialRetransmissionTime > m_rsMaxRetransmissionDuration)
     {
         NS_LOG_LOGIC("Maximum RS retransmission time reached, giving up.");
@@ -1879,7 +1880,7 @@
              */
             NS_LOG_LOGIC("Scheduled a first Router Solicitation");
             m_rsRetransmissionCount = 0;
-            Simulator::Schedule(Seconds(0.0),
+            Simulator::Schedule(Seconds(0),
                                 &Icmpv6L4Protocol::SendRS,
                                 this,
                                 ifaddr.GetAddress(),
